"use strict";

exports.__esModule = true;
exports.useOriginResolver = useOriginResolver;

var _react = require("react");

var _useClient = require("./use-client");

function useOriginResolver() {
  var client = (0, _useClient.useClient)();
  return (0, _react.useCallback)(function (relativePath) {
    if (relativePath != null) {
      return client.getOriginPath(relativePath);
    } else {
      throw Error("unsupported or empty relative path: " + relativePath);
    }
  }, [client]);
}
//# sourceMappingURL=use-origin-resolver.js.map